image:
  repository: this-is-replaced/by/kustomize
  tag: latest

ingress:
  enabled: false

nextcloud:
  host: $(HOSTNAME_FROM_ROUTE)
  existingSecret:
    enabled: true
    secretName: admin
    usernameKey: NEXTCLOUD_ADMIN_USER
    passwordKey: NEXTCLOUD_ADMIN_PASSWORD
  containerPort: 8080

internalDatabase:
    enabled: false

externalDatabase:
  enabled: true
  type: postgresql
  host: $(POSTGRESQL_SERVICE_HOST)
  existingSecret:
    enabled: true
    secretName: database
    usernameKey: POSTGRES_USER
    passwordKey: POSTGRES_PASSWORD

persistence:
  enabled: true
  accessMode: ReadWriteOnce
  size: 5Gi
  

livenessProbe:
  enabled: true
  initialDelaySeconds: 60
  periodSeconds: 10
  timeoutSeconds: 5
  failureThreshold: 10
  successThreshold: 1


